rpmcrypto.h File Reference
`#include <rpm/rpmtypes.h>`
Include dependency graph for rpmcrypto.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct DIGEST_CTX_s * | DIGEST_CTX
typedef struct rpmDigestBundle_s * | rpmDigestBundle
typedef enum rpmHashAlgo_e | rpmHashAlgo
| At this time these simply mirror PGPHASHALGO numbers. More...
typedef rpmFlags | rpmDigestFlags

## Enumerations

enum | rpmHashAlgo_e { RPM_HASH_MD5 = 1 , RPM_HASH_SHA1 = 2 , RPM_HASH_RIPEMD160 = 3 , RPM_HASH_MD2 = 5 , RPM_HASH_TIGER192 = 6 , RPM_HASH_HAVAL_5_160 = 7 , RPM_HASH_SHA256 = 8 , RPM_HASH_SHA384 = 9 , RPM_HASH_SHA512 = 10 , RPM_HASH_SHA224 = 11 }
| At this time these simply mirror PGPHASHALGO numbers. More...
enum | rpmDigestFlags_e { RPMDIGEST_NONE = 0 }
| Bit(s) to control digest operation. More...

## Functions

int | rpmInitCrypto (void)
| Perform cryptography initialization. More...
int | rpmFreeCrypto (void)
| Shutdown cryptography. More...
DIGEST_CTX | rpmDigestDup (DIGEST_CTX octx)
| Duplicate a digest context. More...
size_t | rpmDigestLength (int hashalgo)
| Obtain digest length in bytes. More...
DIGEST_CTX | rpmDigestInit (int hashalgo, rpmDigestFlags flags)
| Initialize digest. More...
int | rpmDigestUpdate (DIGEST_CTX ctx, const void *data, size_t len)
| Update context with next plain text buffer. More...
int | rpmDigestFinal (DIGEST_CTX ctx, void **datap, size_t *lenp, int asAscii)
| Return digest and destroy context. More...
rpmDigestBundle | rpmDigestBundleNew (void)
| Create a new digest bundle. More...
rpmDigestBundle | rpmDigestBundleFree (rpmDigestBundle bundle)
| Free a digest bundle and all contained digest contexts. More...
int | rpmDigestBundleAdd (rpmDigestBundle bundle, int algo, rpmDigestFlags flags)
| Add a new type of digest to a bundle. More...
int | rpmDigestBundleAddID (rpmDigestBundle bundle, int algo, int id, rpmDigestFlags flags)
| Add a new type of digest to a bundle. More...
int | rpmDigestBundleUpdate (rpmDigestBundle bundle, const void *data, size_t len)
| Update contexts within bundle with next plain text buffer. More...
int | rpmDigestBundleFinal (rpmDigestBundle bundle, int id, void **datap, size_t *lenp, int asAscii)
| Return digest from a bundle and destroy context, see rpmDigestFinal(). More...
DIGEST_CTX | rpmDigestBundleDupCtx (rpmDigestBundle bundle, int id)
| Duplicate a digest context from a bundle. More...

## Typedef Documentation

## rpmDigestBundle

typedef struct rpmDigestBundle_s* rpmDigestBundle

Definition at line 13 of file rpmcrypto.h.

## rpmDigestFlags

typedef rpmFlags rpmDigestFlags

Definition at line 39 of file rpmcrypto.h.